<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 *  This code is made available by Level 3 for the sole purpose of facilitating                      *
 *  Content Delivery customers to build their own implementations against the Media Portal APIs.     *
 *                                                                                                   *
 *  Your use of Level 3 Media Portal APIs is subject to the terms you or your company accepted       *
 *  at the time your API Key was generated.                                                          *
 *                                                                                                   *
 *  Your use of this sample source code is subject to the terms you accepted on first downloading    *
 *  or unzipping the sample code package.                                                            *
 *                                                                                                   *
 *  Limitation of Liability/No Warranty.                                                             *
 *  LEVEL 3 SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, SPECIAL, ACTUAL,            *
 *  INCIDENTAL, PUNITIVE OR ANY OTHER DAMAGES, OR FOR ANY LOST PROFITS OF ANY KIND OR NATURE         *
 *  WHATSOEVER, EVEN IF LEVEL 3 HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE OR LOSS,          *
 *  ARISING OR RESULTING OR FROM OR IN ANY WAY RELATING TO CUSTOMER.S USE OF OR ATTEMPT TO           *
 *  USE ANY LEVEL 3 PORTAL OR THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE         *
 *  SOFTWARE OR THE ATTEMPT OF ANY OF THE FOREGOING, HOWEVER CAUSED AND WHETHER UNDER THEORY         *
 *  OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE.  THE SOFTWARE           *
 *  AND PORTALS ARE PROVIDED .AS-IS. AND LEVEL 3 MAKES NO REPRESENTATIONS OR WARRANTIES              *
 *  WHATSOEVER REGARDING THEIR USE AND MAKES NO WARRANTY THAT THE SOFTWARE AND PORTALS OR            *
 *  USE THEREOF WILL BE UNINTERRUPTED, ERROR-FREE OR VIRUS-FREE.                                     *
 *  LEVEL 3 HEREBY DISCLAIMS ALL WARRANTIES INCLUDING ANY IMPLIED REPRESENTATIONS OR WARRANTIES      *
 *  OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR WARRANTIES OF NON-INFRINGEMENT.          *
 \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * This code makes use of the APICommunicator PHP class to create  *
 * some example GET and POST calls to the Media Portal API         *
 \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

include 'APICommunicatorPHP.php';

//Add your own API Key Id and Secret here
$comm = new APICommunicatorPHP(null, null);

//Feel free to uncomment these once you've added in the required information to test.
//Results from these tests will be printed to the screen.
#testAPICallGET($comm);
#testAPICallPOST($comm);


function testAPICallGET($comm){
    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
     * Declare test variables here.                          *
     * Some fields have been pre-filled out, as appropriate. *
     * Any Fields directly pertaining to API Key Credentials *
     * have been left blank. An example API call is included *
     * below.                                                *
     \* * * * * * * * * * * * * * * * * * * * * * * * * * * * */
    $test_accept = "application/json";
    $test_dateStr = gmdate("D, d M Y H:i:s T");
    
    //This is a basic API Call that any user should be able to make
    $test_url = "https://ws.level3.com/key/v1.0";
    $comm->sendTestAPICallGET($test_accept, $test_dateStr, $test_url);
}

function testAPICallPOST($comm){
    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
     * Declare test variables here.                          *
     * Some fields have been pre-filled out, as appropriate. *
     * Any Fields directly pertaining to API Key Credentials *
     * have been left blank. An example API call is included *
     * with areas marked for you to input your own data.     *
     \* * * * * * * * * * * * * * * * * * * * * * * * * * * * */
    
    $test_accept = "application/json";
    $test_contentType = "application/json";
    $test_dateStr = gmdate("D, d M Y H:i:s T");
    $test_postBody = '{"paths":["/fake/path/for/testing/nonexistantFile.jpg"]}';
    
    //Example URL, with info filled out:
    //   https://ws.level3.com/invalidations/v1.0/0000/BB000/apiCall.property.test.net?force=false&ignoreCase=false&notification=test@email.com
    //   ("?" and parameters are optional)
    $test_url = "https://ws.level3.com/invalidations/v1.0/{agid}[/{scid}][/{property}]?[force=true|false][&ignoreCase=true|false][&notification={email}]";
    
    $comm->sendTestAPICallPOST($test_accept, $test_contentType, $test_dateStr, $test_postBody, $test_url);
}

?>